<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */

// PAGE DE LOGIN
$routes->get('/', 'Login::index');
$routes->get('login', 'Login::index');

// SUBMIT DU LOGIN AVEC /login/submit (la route QUI TE MANQUE)
$routes->post('login/submit', 'Login::submit');

// EVENTS
$routes->get('events', 'Events::index');
$routes->get('event/(:num)', 'Events::dashboard/$1');
$routes->get('event/reader/(:num)', 'Events::reader/$1');
$routes->get('events/test/(:num)', 'Events::test/$1');
$routes->get('event/reader-json/(:num)', 'Events::readerJson/$1');
$routes->get('event/readertp-json/(:num)', 'Events::readertimingpointJson/$1');
$routes->get('events/reset/(:num)', 'Events::reset/$1');



$routes->get('event/create/(:num)', 'Events::create/$1');